#include "../../include/RingBuffer.hh"

#include <iostream>

using namespace std;

int main(int, char **) {
   uint16_t uTemp = 0;
   BlackHoleRingBuffer<uint16_t, 5u> bData;
   bData << 9 << 8 << 7 << 6 << 5 << 4 << 3 << 2 << 1;
   cout << "There are " << bData.size() << " items." << endl;
   while (!bData.is_empty()) {
      bData >> uTemp;
      cout << uTemp << endl;
   }
   RingBuffer<uint16_t, 5u> rData;
   rData << 9 << 8 << 7 << 6 << 5 << 4 << 3 << 2 << 1; // Assert here!
   cout << "There are " << rData.size() << " items." << endl;
   while (!rData.is_empty()) {
      rData >> uTemp;
      cout << uTemp << endl;
   }
}
