#include "../../include/Profiler.hh"

#include <iostream>

using namespace std;

int main(int, char **) {
   Profiler *pProfiler = new Profiler();
   HWND hTemp = 0;
   uint32_t uSleepTime = 0;
   uint32_t uMsg = 0;
   for (uint16_t u = 100; u--; ) {
      Sample *sCurrent = new Sample();
      hTemp = HWND(1 + (rand() % 2));
      uMsg = (1 + (rand() % 10));
      sCurrent->init(hTemp, uMsg);
      uSleepTime = 30 + rand() % 170;
      Sleep(uSleepTime);
      sCurrent->shutdown();
      delete sCurrent;
// Just to check it's not getting stuck anywhere...
      cout << "\r" << u << "   ";
   }
   pProfiler->calculate_stats();
   StatsWriter *sWriter = new XmlStatsWriter();
   pProfiler->output(sWriter);
   delete sWriter;
   delete pProfiler;
}
